declare const _default: GroupMessages;
export default _default;
declare class GroupMessages {
    /** @type {{[key: string]: string[]}} */
    groupedMessages: {
        [key: string]: string[];
    };
    GROUP: {
        PropertyReferenceWarnings: string;
        PropertyValueCollisions: string;
        TemplateDeprecationWarnings: string;
        RegisterTemplateDeprecationWarnings: string;
        SassMapFormatDeprecationWarnings: string;
        MissingRegisterTransformErrors: string;
        PropertyNameCollisionWarnings: string;
        FilteredOutputReferences: string;
    };
    /**
     *
     * @param {string} messageGroup
     * @returns {string[]}
     */
    flush(messageGroup: string): string[];
    /**
     * @param {string} messageGroup
     * @param {string} message
     */
    add(messageGroup: string, message: string): void;
    /**
     *
     * @param {string} messageGroup
     * @returns {number}
     */
    count(messageGroup: string): number;
    /**
     *
     * @param {string} messageGroup
     * @returns {string[]}
     */
    fetchMessages(messageGroup: string): string[];
    /**
     * @param {string} messageGroup
     */
    clear(messageGroup: string): void;
}
